#!/bin/bash

# pandora is available via svn at DESY

usage()
{
   echo "USAGE: `basename ${0}` <version> <distrution_dir>"
   echo "      distrution_dir is your checkout of pandora-ssi-build"
   echo "      e.g., /some/path/to/pandora-ssi-build"
}

PANDORA_RELEASE=${1}
topdir=${2}

if [ -z ${PANDORA_RELEASE} ]
then
   echo "ERROR: Pandora release must be specified"
   usage
   exit 1
fi
if [ -z ${topdir} ]
then
   echo "ERROR: top director of Pandora release must be specified"
   usage
   exit 1
fi

set -x

mkdir -p ${topdir}/code || exit 1
PANDORA_ROOT=pandora-${PANDORA_RELEASE}


# CHECK OUT CORE SOFTWARE
cd ${topdir}/code
svn export https://svnsrv.desy.de/public/PandoraPFANew/PandoraPFANew/tags/${PANDORA_RELEASE} ${PANDORA_ROOT}

tar cjf ${topdir}/tar/${PANDORA_ROOT}.tar.bz2 ${PANDORA_ROOT}

set +x

exit 0

